Seite 1 von 1

[geloest] Synaptic laeuft nicht mit repomd-faehigen apt

Verfasst: 20. Aug 2006, 11:35
von Catull
Hallo,

ich habe mir apt 0.5.15lorg3.2 für linux i386 nach der Anleitung von oc2pus installiert.

Starte ich nun Synaptic, erhalte ich folgende Fehlermeldung.

Code: Alles auswählen

 synaptic: Symbol `_ZTV16pkgAcquireStatus' has different 
size in shared object, consider re-linking
(synaptic:6090): Gtk-CRITICAL **: gtk_widget_hide: assertion `GTK_IS_WIDGET (widget)' failed
*** glibc detected *** double free or corruption (out): 0x08306aa0 ***
Brauche ich ein neues Synaptic (Version= 0.56.1-4) ?

Verfasst: 20. Aug 2006, 12:47
von rolle
Trage das repomd von rbos in die sources-list ein und mache beherzt ein 'apt install synaptic'. Die Versionen von apt und synaptic müssen zusammenpassen.
sjrohold@sv00:~> apt policy synaptic
synaptic:
Installiert: 0.57.2-11.2
Kandidat: 0.57.2-11.2
Versionstabelle:
*** 0.57.2-11.2 0
500 ftp://ftp.gwdg.de rbos/SL-10.0_i586/ repomd
100 RPM Database
0.56.1-4 0
500 file: suse/ repomd
sjrohold@sv00:~> apt policy apt
apt:
Installiert: 0.5.15lorg3.2-12.2
Kandidat: 0.5.15lorg3.2-12.2
Versionstabelle:
*** 0.5.15lorg3.2-12.2 0
500 ftp://ftp.gwdg.de rbos/SL-10.0_i586/ repomd
100 RPM Database
0.5.15cnc7-6 0
500 file: suse/ repomd

Verfasst: 20. Aug 2006, 13:06
von Catull
rolle hat geschrieben:Trage das repomd von rbos in die sources-list ein und mache beherzt ein 'apt install synaptic'. Die Versionen von apt und synaptic müssen zusammenpassen.
Danke.
Habe mir das RPM aus dem rbos-Verzeichnis heruntergeladen und dann per "apt install ..." installiert.
Funktioniert!
Habe nun lediglich noch ein Problem mit meiner sources-Liste. Mache dazu aber einen eigenen Thead auf.

Gruss

Catull